# MIT Kerberos Documentation

Contents | previous | next | index | Search | feedback

# krb5_cc_switch - Make a credential cache the primary cache for its collection.

krb5_error_code krb5_cc_switch(krb5_context context, krb5_ccache cache)

param

  [in] context - Library context

  [in] cache - Credential cache handle

retval

  - 0 Success, or the type of cache doesn’t support switching

return

  - Kerberos error codes

If the type of cache supports it, set cache to be the primary credential cache for the collection it belongs to.